function getBalance()
{
	try
	{
		var tables = document.getElementsByTagName("table");		
		var balance = 0;
		var results = findTableByRegExp(tables, "Aktueller Kontostand:");
		
		for(var i=0; i<results.length; i++)
		{
			balance = getNumberFromNode(tables[results[i]["table"]].rows[results[i]["row"]].cells[results[i]["cell"]+1]);
			// alert("foxfm_bank(): balance: " + balance);
		}

		return balance;
	} catch (e) {
		exceptionHandler(e);
	}
}

function getCreditLine()
{
	try
	{
		var tables = document.getElementsByTagName("table");		
		var creditLine = 0;		
		var results = findTableByRegExp(tables, "Kreditrahmen:");
		
		for(var i=0; i<results.length; i++)
		{
			creditLine = getNumberFromNode(tables[results[i]["table"]].rows[results[i]["row"]].cells[results[i]["cell"]+1]);
			// alert("foxfm_bank(): credit line: " + creditLine);
		}
		
		return creditLine;
	} catch (e) {
		exceptionHandler(e);
	}
}

function getCredit()
{
	try
	{
		var tables = document.getElementsByTagName("table");		
		var credit = 0;
		var results = findTableByRegExp(tables, "aufgenommener Kredit:");
		
		for(var i=0; i<results.length; i++)
		{
			credit = getNumberFromNode(tables[results[i]["table"]].rows[results[i]["row"]].cells[results[i]["cell"]+1]);
			// alert("foxfm_bank(): credit: " + credit);
		}

		return credit;
	} catch (e) {
		exceptionHandler(e);
	}
}

function getOverdraft()
{
	try
	{
		var tables = document.getElementsByTagName("table");		
		var overdraft = 0;
		var results = findTableByRegExp(tables, "Dispo:");
		
		for(var i=0; i<results.length; i++)
		{
			overdraft = getNumberFromNode(tables[results[i]["table"]].rows[results[i]["row"]].cells[results[i]["cell"]+1]);
			// alert("foxfm_bank(): overdraft: " + overdraft);
		}

		return overdraft;
	} catch (e) {
		exceptionHandler(e);
	}
}

function calculateRepayValue()
{
	try
	{
		var balance = getBalance();
		var credit = getCredit();
		if((balance-credit)<0)
		{
			repayValue = balance;
		}
		else
		{
			repayValue = credit;
		}
		return repayValue;
	} catch (e) {
		exceptionHandler(e);
	}
}

function setCreditTakeOutRepayLoan(value)
{
	try
	{
		var tables = document.getElementsByTagName("table");
		var results = findTableByRegExp(tables, "Summe");
		
		for(var i=0; i<results.length; i++)
		{
			var inputs = tables[results[i]["table"]].rows[results[i]["row"]].cells[results[i]["cell"]].getElementsByTagName("input");
			// if(inputs.length) 
			inputs[1].setAttribute("value", Math.abs(value));
		}
	} catch (e) {
		exceptionHandler(e);
	}
}